File Shares - List

Returns a list of all fabric file shares at a certain location.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/fileShares?api-version=2016-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/fileShares?api-version=2016-05-01&$filter={$filter}&$top={$top}&$skip={$skip}

URI Parameters

Name In Required Type Description
location
path True

string

Location of the resource.

resourceGroupName
path True

string

Name of the resource group.

subscriptionId
path True

string

Subscription credentials that uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True

string

Client API Version.

$filter
query

string

OData filter parameter.

$skip
query

string

OData skip parameter.

$top
query

string

OData top parameter.

Responses

Name Type Description
200 OK

FileShareList

OK

404 Not Found

NOT FOUND

Security

azure_auth

Authorization uses an Azure Active Directory OAuth2 flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Returns a list of all fabric file shares at a certain location.

Sample request

GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares?api-version=2016-05-01

Sample response

{
  "value": [
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Infrastructure_1",
      "name": "SU1_Infrastructure_1",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Infrastructure_1"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Infrastructure_2",
      "name": "SU1_Infrastructure_2",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Infrastructure_2"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Infrastructure_3",
      "name": "SU1_Infrastructure_3",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Infrastructure_3"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_ObjStore",
      "name": "SU1_ObjStore",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_ObjStore"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Public",
      "name": "SU1_Public",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Public"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_VmTemp",
      "name": "SU1_VmTemp",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_VmTemp"
      }
    }
  ]
}

Definitions

Name Description
FileShare

Object that contains properties of the file share resource.

FileShareList

Pageable list of fabric file share locations.

FileShare

Object that contains properties of the file share resource.

Name Type Description
id

string

URI of the resource.

location

string

The region where the resource is located.

name

string

Name of the resource.

properties.associatedVolume

string

Associated volume ID.

properties.uncPath

string

The UNCPath for the fileshare.

tags

object

List of key-value pairs.

type

string

Type of resource.

FileShareList

Pageable list of fabric file share locations.

Name Type Description
value

FileShare[]

List of fabric file shares.